package com.ssj.bean.sys.sort.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Entity
@Table(name = "sys_sort")
public class Sort extends BaseEntity{

	
	/**
	 * 系统各种自定义参数分类
	 */
	private static final long serialVersionUID = 6102027738026772859L;
	private String pid;//父ID
	private String name;//内容
	private String code;//编码
	private Integer sort;//排序
	private Integer ishot;//是否显示：1热门  0不热门
	private Integer level;//菜单级别0：一级分类，1：二级分类，2：三级分类。。。
	private String aliases;
	
	private List<Sort> children;
	
	@Column(name = "pid") 
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	@Column(name = "name") 
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(name = "code") 
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Column(name = "sort") 
	public Integer getSort() {
		return sort;
	}
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	@Column(name = "ishot") 
	public Integer getIshot() {
		return ishot;
	}
	public void setIshot(Integer ishot) {
		this.ishot = ishot;
	}
	@Column(name = "level") 
	public Integer getLevel() {
		return level;
	}
	public void setLevel(Integer level) {
		this.level = level;
	}
	@Column(name = "aliases") 
	public String getAliases() {
		return aliases;
	}
	public void setAliases(String aliases) {
		this.aliases = aliases;
	}
	@Transient
	public List<Sort> getChildren() {
		return children;
	}
	public void setChildren(List<Sort> children) {
		this.children = children;
	}
	
	
	
	
}
